(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     11906,        257]
NotebookOptionsPosition[     11290,        238]
NotebookOutlinePosition[     11732,        255]
CellTagsIndexPosition[     11689,        252]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.8133180405205746`*^9, 3.81331804481916*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"3dbe346f-5738-4edd-9429-1c3129f1727b"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"A", "=", 
   RowBox[{"(", GridBox[{
      {"0", "0", "0", "0", "2", "2", "7", "1", "4"},
      {"0", "0", "0", "0", "4", "2", "2", "9", "8"},
      {"0", "0", "0", "0", "8", "2", "7", "8", "3"},
      {"0", "0", "0", "0", "2", "0", "7", "0", "7"},
      {"2", "4", "8", "2", "0", "0", "0", "0", "0"},
      {"2", "2", "2", "0", "0", "0", "0", "0", "0"},
      {"7", "2", "7", "7", "0", "0", "0", "0", "0"},
      {"1", "9", "8", "0", "0", "0", "0", "0", "0"},
      {"4", "8", "3", "7", "0", "0", "0", "0", "0"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.7]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"grafo", "=", 
  RowBox[{"GrafoMP", "[", 
   RowBox[{"A", ",", 
    RowBox[{"{", 
     RowBox[{
     "a", ",", "b", ",", "c", ",", "d", ",", "e", ",", "f", ",", "g", ",", 
      "h", ",", "i"}], "}"}], ",", 
    RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.813318066917431*^9, 3.8133181030709376`*^9}, {
  3.8133185314789124`*^9, 3.813318542524365*^9}, {3.8133235979287376`*^9, 
  3.813323618376316*^9}, {3.8133466719791436`*^9, 3.8133466724442005`*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"d0cc1d56-0e87-4799-9f08-2e03d2d80484"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`d, \
$CellContext`e, $CellContext`f, $CellContext`g, $CellContext`h, \
$CellContext`i}, {
      Null, {{1, 5}, {1, 6}, {1, 7}, {1, 8}, {1, 9}, {2, 5}, {2, 6}, {2, 7}, {
       2, 8}, {2, 9}, {3, 5}, {3, 6}, {3, 7}, {3, 8}, {3, 9}, {4, 5}, {4, 
       7}, {4, 9}}}, {
      EdgeLabels -> {
        UndirectedEdge[$CellContext`a, $CellContext`h] -> 1, 
         UndirectedEdge[$CellContext`a, $CellContext`e] -> 2, 
         UndirectedEdge[$CellContext`b, $CellContext`g] -> 2, 
         UndirectedEdge[$CellContext`b, $CellContext`e] -> 4, 
         UndirectedEdge[$CellContext`c, $CellContext`f] -> 2, 
         UndirectedEdge[$CellContext`c, $CellContext`g] -> 7, 
         UndirectedEdge[$CellContext`c, $CellContext`i] -> 3, 
         UndirectedEdge[$CellContext`c, $CellContext`h] -> 8, 
         UndirectedEdge[$CellContext`b, $CellContext`i] -> 8, 
         UndirectedEdge[$CellContext`a, $CellContext`f] -> 2, 
         UndirectedEdge[$CellContext`c, $CellContext`e] -> 8, 
         UndirectedEdge[$CellContext`d, $CellContext`e] -> 2, 
         UndirectedEdge[$CellContext`b, $CellContext`f] -> 2, 
         UndirectedEdge[$CellContext`b, $CellContext`h] -> 9, 
         UndirectedEdge[$CellContext`d, $CellContext`i] -> 7, 
         UndirectedEdge[$CellContext`d, $CellContext`g] -> 7, 
         UndirectedEdge[$CellContext`a, $CellContext`i] -> 4, 
         UndirectedEdge[$CellContext`a, $CellContext`g] -> 7}, 
       EdgeWeight -> {2, 2, 7, 1, 4, 4, 2, 2, 9, 8, 8, 2, 7, 8, 3, 2, 7, 7}, 
       ImagePadding -> 10, VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[
        0.7], {LineBox[{{1.6933725878692636`, 0.9977301003385359}, {
          0.9296635803204971, 1.1221585216596468`}}], 
         InsetBox["2", {1.3115180840948804, 1.0599443109990914}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.6933725878692636`, 0.9977301003385359}, {
          2.5395862594484786`, 0.9807833475320329}}], 
         InsetBox["2", {2.116479423658871, 0.9892567239352844}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.6933725878692636`, 0.9977301003385359}, {
          0.9297836978612333, 0.}}], 
         InsetBox["7", {1.3115781428652484, 0.49886505016926797}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.6933725878692636`, 0.9977301003385359}, {
          2.5409461589948226`, 0.14142644800064563`}}], 
         InsetBox["1", {2.117159373432043, 0.5695782741695907}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.6933725878692636`, 0.9977301003385359}, {
          0.832911541023497, 0.5610825654877873}}], 
         InsetBox["4", {1.2631420644463802, 0.7794063329131616}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.6929174410424295`, 0.12470905767831364`}, {
          0.9296635803204971, 1.1221585216596468`}}], 
         InsetBox["4", {1.3112905106814634, 0.6234337896689802}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.6929174410424295`, 0.12470905767831364`}, {
          2.5395862594484786`, 0.9807833475320329}}], 
         InsetBox["2", {2.116251850245454, 0.5527462026051733}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.6929174410424295`, 0.12470905767831364`}, {
          0.9297836978612333, 0.}}], 
         InsetBox["2", {1.3113505694518315, 0.06235452883915682}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.6929174410424295`, 0.12470905767831364`}, {
          2.5409461589948226`, 0.14142644800064563`}}], 
         InsetBox["9", {2.116931800018626, 0.13306775283947964}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.6929174410424295`, 0.12470905767831364`}, {
          0.832911541023497, 0.5610825654877873}}], 
         InsetBox["8", {1.2629144910329633, 0.3428958115830505}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.7390998534869593`, 0.5623210793700791}, {
          0.9296635803204971, 1.1221585216596468`}}], 
         InsetBox["8", {1.3343817169037282, 0.842239800514863}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.7390998534869593`, 0.5623210793700791}, {
          2.5395862594484786`, 0.9807833475320329}}], 
         InsetBox["2", {2.1393430564677187, 0.771552213451056}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.7390998534869593`, 0.5623210793700791}, {
          0.9297836978612333, 0.}}], 
         InsetBox["7", {1.3344417756740963, 0.28116053968503957}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.7390998534869593`, 0.5623210793700791}, {
          2.5409461589948226`, 0.14142644800064563`}}], 
         InsetBox["8", {2.1400230062408907, 0.3518737636853624}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.7390998534869593`, 0.5623210793700791}, {
          0.832911541023497, 0.5610825654877873}}], 
         InsetBox["3", {1.286005697255228, 0.5617018224289332}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0., 0.561126885729957}, {0.9296635803204971, 
          1.1221585216596468`}}], 
         InsetBox["2", {0.46483179016024856, 0.8416427036948019}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0., 0.561126885729957}, {0.9297836978612333, 0.}}], 
         InsetBox["7", {0.46489184893061664, 0.2805634428649785}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0., 0.561126885729957}, {0.832911541023497, 
          0.5610825654877873}}], 
         InsetBox["7", {0.4164557705117485, 0.5611047256088721}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{1.6933725878692636, 0.9977301003385359}, 
          0.02685446522508618], 
         InsetBox["a", 
          Offset[{2, 2}, {1.7202270530943498, 1.024584565563622}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.6929174410424295, 0.12470905767831364}, 
          0.02685446522508618], 
         InsetBox["b", 
          Offset[{2, 2}, {1.7197719062675156, 0.1515635229033998}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.7390998534869593, 0.5623210793700791}, 
          0.02685446522508618], 
         InsetBox["c", 
          Offset[{2, 2}, {1.7659543187120454, 0.5891755445951653}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.561126885729957}, 0.02685446522508618], 
         InsetBox["d", 
          Offset[{2, 2}, {0.02685446522508618, 0.5879813509550431}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.9296635803204971, 1.1221585216596468}, 
          0.02685446522508618], 
         InsetBox["e", 
          Offset[{2, 2}, {0.9565180455455833, 1.149012986884733}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.5395862594484786, 0.9807833475320329}, 
          0.02685446522508618], 
         InsetBox["f", 
          Offset[{2, 2}, {2.5664407246735648, 1.007637812757119}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.9297836978612333, 0.}, 0.02685446522508618], 
         InsetBox["g", 
          Offset[{2, 2}, {0.9566381630863194, 0.02685446522508618}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.5409461589948226, 0.14142644800064563}, 
          0.02685446522508618], 
         InsetBox["h", 
          Offset[{2, 2}, {2.5678006242199087, 0.1682809132257318}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.832911541023497, 0.5610825654877873}, 
          0.02685446522508618], 
         InsetBox["i", 
          Offset[{2, 2}, {0.8597660062485831, 0.5879370307128735}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{{3.8133180951993113`*^9, 3.813318103850173*^9}, 
   3.8133185450372105`*^9, 3.8133236193748198`*^9, 3.813340490412181*^9, 
   3.8133466739040956`*^9, 3.813416037534686*^9},
 CellLabel->"Out[9]=",ExpressionUUID->"2fda07e5-655e-4c41-aee9-05748ffa65df"]
}, Open  ]]
},
WindowSize->{1432.5, 792.},
WindowMargins->{{Automatic, 955.5}, {Automatic, -129.75}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.1 para Microsoft Windows (64-bit) (March 14, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"7b48d8cb-6e0b-46c4-92d6-30dce2e80710"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 199, 3, 63, "Input",ExpressionUUID->"3dbe346f-5738-4edd-9429-1c3129f1727b"],
Cell[CellGroupData[{
Cell[782, 27, 1485, 33, 474, "Input",ExpressionUUID->"d0cc1d56-0e87-4799-9f08-2e03d2d80484"],
Cell[2270, 62, 9004, 173, 481, "Output",ExpressionUUID->"2fda07e5-655e-4c41-aee9-05748ffa65df"]
}, Open  ]]
}
]
*)

